# Add unsubscribes

Request body is expected to be a valid JSON encoded sting containing up to 1000 unsubscribe records or a single unsubscribe record as application/form-data

Endpoint: POST /v3/{domain_name}/unsubscribes
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `domain_name` (string, required)
    Domain to add the unsubscribe to

## Header parameters:

  - `Content-Type` (string, required)
    Content-Type must be `application/json` if inserting using JSON, no header necessary for form-data insertion

## Request fields (application/json):

  - `address` (string, required)
    Email address for the original recipient

  - `tags` (array, required)
    Any tags present on the message the user clicked Unsubscribe on

  - `created_at` (object, required)
    Timestamp for when the unsubscribe request was received in RFC822 format

## Request fields (application/form-data):

  - `address` (string, required)
    Valid email address

  - `tags` (string)
    Tag to unsubscribe from, use * to unsubscribe an address from all domain’s correspondence (optional, default: *)

  - `created_at` (string)
    Timestamp of an unsubscribe event in RFC2822 format (optional, default: current time)

## Request examples:

  - `Example` (unknown)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

